Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Database XML Java API Reference 10g Release 2 (10.2) B14293-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.soap.server
Class ServerUtils

`java.lang.Object
org.apache.soap.server.ServerUtils`

public class ServerUtils
extends java.lang.Object

Any utility stuff for transport type-independent SOAP stuff.

Constructor Summary
`ServerUtils()`

Method Summary
`static Envelope` | `readEnvelopeFromInputStream(DocumentBuilder xdb, java.io.InputStream is, int contentLength, java.lang.String contentType, EnvelopeEditor editor, SOAPContext ctx)` Read in stuff from the request stream and return the envelope.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerUtils

    public ServerUtils()

Method Detail

### readEnvelopeFromInputStream

    public static Envelope readEnvelopeFromInputStream(DocumentBuilder xdb,
                                                       java.io.InputStream is,
                                                       int contentLength,
                                                       java.lang.String contentType,
                                                       EnvelopeEditor editor,
                                                       SOAPContext ctx)
                                                throws SOAPException,
                                                       java.io.IOException,
                                                       java.lang.IllegalArgumentException,
                                                       MessagingException

  Read in stuff from the request stream and return the envelope. Returns null (and sets the error on the response stream) if a transport level thing is wrong and throws a SOAPException if a SOAP level thing is wrong.
  Returns:
    Envelope containing the SOAP envelope found in the request
  Throws:
    `SOAPException` - if a SOAP level thing goes wrong
    `java.io.IOException`
    `java.lang.IllegalArgumentException`
    `MessagingException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Database XML Java API Reference 10g Release 2 (10.2) B14293-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 The Apache Software Foundation. All rights reserved.